Method: networks.partners.batchUpdate

Batch updates Partner objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/partners:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where Partners will be updated. Format: networks/{networkCode} The parent field in the UpdatePartnerRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdatePartnerRequest)
    }
  ]
}
Fields
requests[]

object (UpdatePartnerRequest)

Required. The Partner objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for [partners.batchUpdate][] method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "partners": [
    {
      object (Partner)
    }
  ]
}
Fields
partners[]

object (Partner)

The Partner objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdatePartnerRequest

Request object for [partners.patch][] method.

JSON representation
{
  "partner": {
    object (Partner)
  },
  "updateMask": string
}
Fields
partner

object (Partner)

Required. The Partner to update.

The Partner's name is used to identify the Partner to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".